Zipped gpkg with vector data is wrongly seen as raster data source

2018-02-02 10:35 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25924

Description

Most zipped datasources (.zip files) are rightly seen by the Data Source Manager | Browser as geodata, and upon double click can be

loaded in QGIS.

Attached zip (with just one gpkg file in it with some layers) is NOT seen as vector data, but as a raster. Then upon double clicking it fails

to load the gpkg but gives error below,

2018-02-02T10:34:47    CRITICAL    Invalid Layer : GDAL provider Cannot open GDAL dataset /vsizip//tmp/result.zip:

            `/vsizip//tmp/result.zip' not recognized as a supported file format. (file: src/providers/gdal/qgsgdalprovider.cpp row:

2640function initIfNeeded:)

            Raster layer Provider is not valid (provider: gdal, URI: /vsizip//tmp/result.zip (file: src/core/raster/qgsrasterlayer.cpp row:

623function setDataProvider:)

History

#1 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#2 - 2019-03-09 08:05 PM - Richard Duivenvoorde

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

OK, seems to work now. Closing.

Files

result.zip 605 KB 2018-02-02 Richard Duivenvoorde
